Loading...
Searching...
No Matches
BALL::ZagrebIndex Class Reference

`#include <BALL/QSAR/connectivityDescriptors.h>`

Inheritance diagram for BALL::ZagrebIndex:

## Public Member Functions

Constructors and Destructors
| ZagrebIndex ()
| ZagrebIndex (const ZagrebIndex &zi)
virtual | ~ZagrebIndex ()
Assignment
ZagrebIndex & | operator= (const ZagrebIndex &zi)
Accessors
double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::ConnectivityBase
| ConnectivityBase ()
| ConnectivityBase (const ConnectivityBase &cb)
| ConnectivityBase (const String &name)
| ConnectivityBase (const String &name, const String &unit)
virtual | ~ConnectivityBase ()
virtual ConnectivityBase & | operator= (const ConnectivityBase &cb)
void | computeAllDescriptors (AtomContainer &ac)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
Protected Member Functions inherited from BALL::ConnectivityBase
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)

## Detailed Description

This descriptor returns the Zagreb Index, which is calculated as: $\sum_i d_i^2$, over all heavy atoms

Definition at line 20 of file connectivityDescriptors.h.

## Constructor & Destructor Documentation

## ZagrebIndex() [1/2]

BALL::ZagrebIndex::ZagrebIndex | ( |  | ) |

Default constructor

## ZagrebIndex() [2/2]

BALL::ZagrebIndex::ZagrebIndex | ( | const ZagrebIndex & | zi | ) |

Copy constructor

## ~ZagrebIndex()

virtual BALL::ZagrebIndex::~ZagrebIndex | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## compute()

double BALL::ZagrebIndex::compute | ( | AtomContainer & | ac | ) |

virtual

Reimplemented from BALL::Descriptor.

## operator=()

ZagrebIndex & BALL::ZagrebIndex::operator= | ( | const ZagrebIndex & | zi | ) |

Assignment operator